Subject: Re: [PATCH 1/1] niu: panic on reset

From: Matheos Worku <[email-masked]>
Date: Wed, 10 Sep 2008 10:01:42 -0700

David Miller wrote:

>From: [email-masked]
>Date: Thu, 04 Sep 2008 16:55:16 -0700
>
>[ Please learn how to hit the return key every 80 characters or so,
>  long lines are very difficult to read on text-only email clients
>  like the one I use.  Expecting auto-formatting and other beautifications
>  in email readers amongst kernel developers is a very bad idea. ]
>
>  
>
>>The reset_task function in the niu driver does not reset the
>>hardware fully. The buffer addresses and pointers are not being
>>reset/updated in the hardware and that leads to panic on reset.
>>
>>Signed-off-by: [email-masked] <[email-masked]>
>>    
>>
>
>This is way overkill just to fix this bug and it adds a new failure
>mode for the driver which is a seriously negative aspect to this fix.
>  
>
Dave,

Thanks for the feedback.
Instead of creating a new function, Santwona was borrowing an existing
logic from niu_change_mtu function. Rather than introducing a new
function and possibly a new failure mode, we were trying to re-use existing
logic, reducing the probability of a new bug.

Regards,
Matheos

>Instead, simply write a function which reloads the buffers addresses
>properly instead of calling the functions to free and reallocate all
>of these dynamic datastructures just to get those side effects.
>--
>To unsubscribe from this list: send the line "unsubscribe netdev" in
>the body of a message to [email-masked]
>More majordomo info at  http://vger.kernel.org/majordomo-info.html
>  
>